import { z } from 'zod';

export const reviewSchema = z.object({
  name: z
    .string()
    .min(2, { message: 'Имя должно содержать не менее 2 символов' }),
  rating: z.number().min(1, { message: 'Пожалуйста, выберите рейтинг' }).max(5),
  reviewMessage: z
    .string()
    .min(10, { message: 'Отзыв должен содержать не менее 10 символов' }),
});

export type ReviewFormValues = z.infer<typeof reviewSchema>;
